<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [InviteServerTransaction](./sip.js.inviteservertransaction.md)

## InviteServerTransaction class

INVITE Server Transaction.

<b>Signature:</b>

```typescript
export declare class InviteServerTransaction extends ServerTransaction 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(request, transport, user)](./sip.js.inviteservertransaction._constructor_.md) |  | Constructor. Upon construction, a "100 Trying" reply will be immediately sent. After construction the transaction will be in the "proceeding" state and the transaction <code>id</code> will equal the branch parameter set in the Via header of the incoming request. https://tools.ietf.org/html/rfc3261\#section-17.2.1 |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [kind](./sip.js.inviteservertransaction.kind.md) |  | <code>string</code> | Transaction kind. Deprecated. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [dispose()](./sip.js.inviteservertransaction.dispose.md) |  | Destructor. |
|  [onTransportError(error)](./sip.js.inviteservertransaction.ontransporterror.md) |  | First, the procedures in \[4\] are followed, which attempt to deliver the response to a backup. If those should all fail, based on the definition of failure in \[4\], the server transaction SHOULD inform the TU that a failure has occurred, and MUST remain in the current state. https://tools.ietf.org/html/rfc6026\#section-8.8 |
|  [receiveRequest(request)](./sip.js.inviteservertransaction.receiverequest.md) |  | Receive requests from transport matching this transaction. |
|  [receiveResponse(statusCode, response)](./sip.js.inviteservertransaction.receiveresponse.md) |  | Receive responses from TU for this transaction. |
|  [retransmitAcceptedResponse()](./sip.js.inviteservertransaction.retransmitacceptedresponse.md) |  | Retransmit the last 2xx response. This is a noop if not in the "accepted" state. |
|  [typeToString()](./sip.js.inviteservertransaction.typetostring.md) |  | For logging. |

## Remarks

https://tools.ietf.org/html/rfc3261\#section-17.2.1

