<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [OutgoingRequestMessage](./sip.js.outgoingrequestmessage.md)

## OutgoingRequestMessage class

Outgoing SIP request message.

<b>Signature:</b>

```typescript
export declare class OutgoingRequestMessage 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(method, ruri, fromURI, toURI, options, extraHeaders, body)](./sip.js.outgoingrequestmessage._constructor_.md) |  | Constructs a new instance of the <code>OutgoingRequestMessage</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [body](./sip.js.outgoingrequestmessage.body.md) |  | <code>{</code><br/><code>        body: string;</code><br/><code>        contentType: string;</code><br/><code>    } &#124; undefined</code> |  |
|  [branch](./sip.js.outgoingrequestmessage.branch.md) |  | <code>string &#124; undefined</code> |  |
|  [callId](./sip.js.outgoingrequestmessage.callid.md) |  | <code>string</code> |  |
|  [cseq](./sip.js.outgoingrequestmessage.cseq.md) |  | <code>number</code> |  |
|  [extraHeaders](./sip.js.outgoingrequestmessage.extraheaders.md) |  | <code>Array&lt;string&gt;</code> |  |
|  [from](./sip.js.outgoingrequestmessage.from.md) |  | <code>NameAddrHeader</code> |  |
|  [fromTag](./sip.js.outgoingrequestmessage.fromtag.md) |  | <code>string</code> |  |
|  [fromURI](./sip.js.outgoingrequestmessage.fromuri.md) |  | <code>URI</code> |  |
|  [headers](./sip.js.outgoingrequestmessage.headers.md) |  | <code>{</code><br/><code>        [name: string]: Array&lt;string&gt;;</code><br/><code>    }</code> |  |
|  [method](./sip.js.outgoingrequestmessage.method.md) |  | <code>string</code> |  |
|  [ruri](./sip.js.outgoingrequestmessage.ruri.md) |  | <code>URI</code> |  |
|  [to](./sip.js.outgoingrequestmessage.to.md) |  | <code>NameAddrHeader</code> |  |
|  [toTag](./sip.js.outgoingrequestmessage.totag.md) |  | <code>string &#124; undefined</code> |  |
|  [toURI](./sip.js.outgoingrequestmessage.touri.md) |  | <code>URI</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [getHeader(name)](./sip.js.outgoingrequestmessage.getheader.md) |  | Get the value of the given header name at the given position. |
|  [getHeaders(name)](./sip.js.outgoingrequestmessage.getheaders.md) |  | Get the header/s of the given name. |
|  [hasHeader(name)](./sip.js.outgoingrequestmessage.hasheader.md) |  | Verify the existence of the given header. |
|  [setHeader(name, value)](./sip.js.outgoingrequestmessage.setheader.md) |  | Replace the the given header by the given value. |
|  [setViaHeader(branch, scheme)](./sip.js.outgoingrequestmessage.setviaheader.md) |  | The Via header field indicates the transport used for the transaction and identifies the location where the response is to be sent. A Via header field value is added only after the transport that will be used to reach the next hop has been selected (which may involve the usage of the procedures in \[4\]).<!-- -->When the UAC creates a request, it MUST insert a Via into that request. The protocol name and protocol version in the header field MUST be SIP and 2.0, respectively. The Via header field value MUST contain a branch parameter. This parameter is used to identify the transaction created by that request. This parameter is used by both the client and the server. https://tools.ietf.org/html/rfc3261\#section-8.1.1.7 |
|  [toString()](./sip.js.outgoingrequestmessage.tostring.md) |  |  |

