<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [SessionDialog](./sip.js.sessiondialog.md) &gt; [ack](./sip.js.sessiondialog.ack.md)

## SessionDialog.ack() method

The UAC core MUST generate an ACK request for each 2xx received from the transaction layer. The header fields of the ACK are constructed in the same way as for any request sent within a dialog (see Section 12) with the exception of the CSeq and the header fields related to authentication. The sequence number of the CSeq header field MUST be the same as the INVITE being acknowledged, but the CSeq method MUST be ACK. The ACK MUST contain the same credentials as the INVITE. If the 2xx contains an offer (based on the rules above), the ACK MUST carry an answer in its body. If the offer in the 2xx response is not acceptable, the UAC core MUST generate a valid answer in the ACK and then send a BYE immediately. https://tools.ietf.org/html/rfc3261\#section-13.2.2.4

<b>Signature:</b>

```typescript
ack(options?: RequestOptions): OutgoingAckRequest;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>RequestOptions</code> | ACK options bucket. |

<b>Returns:</b>

`OutgoingAckRequest`

