<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [SubscriptionDialog](./sip.js.subscriptiondialog.md)

## SubscriptionDialog class

Subscription Dialog.

<b>Signature:</b>

```typescript
export declare class SubscriptionDialog extends Dialog implements Subscription 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(subscriptionEvent, subscriptionExpires, subscriptionState, core, state, delegate)](./sip.js.subscriptiondialog._constructor_.md) |  | Constructs a new instance of the <code>SubscriptionDialog</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [autoRefresh](./sip.js.subscriptiondialog.autorefresh.md) |  | <code>boolean</code> |  |
|  [delegate](./sip.js.subscriptiondialog.delegate.md) |  | <code>SubscriptionDelegate &#124; undefined</code> |  |
|  [subscriptionEvent](./sip.js.subscriptiondialog.subscriptionevent.md) |  | <code>string</code> |  |
|  [subscriptionExpires](./sip.js.subscriptiondialog.subscriptionexpires.md) |  | <code>number</code> | Number of seconds until subscription expires. |
|  [subscriptionExpiresInitial](./sip.js.subscriptiondialog.subscriptionexpiresinitial.md) |  | <code>number</code> |  |
|  [subscriptionRefresh](./sip.js.subscriptiondialog.subscriptionrefresh.md) |  | <code>number &#124; undefined</code> | Number of seconds until subscription auto refresh. |
|  [subscriptionState](./sip.js.subscriptiondialog.subscriptionstate.md) |  | <code>SubscriptionState</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [dispose()](./sip.js.subscriptiondialog.dispose.md) |  |  |
|  [initialDialogStateForSubscription(outgoingSubscribeRequestMessage, incomingNotifyRequestMessage)](./sip.js.subscriptiondialog.initialdialogstateforsubscription.md) | <code>static</code> | When a UAC receives a response that establishes a dialog, it constructs the state of the dialog. This state MUST be maintained for the duration of the dialog. https://tools.ietf.org/html/rfc3261\#section-12.1.2 |
|  [receiveRequest(message)](./sip.js.subscriptiondialog.receiverequest.md) |  | Receive in dialog request message from transport. |
|  [refresh()](./sip.js.subscriptiondialog.refresh.md) |  | 4.1.2.2. Refreshing of Subscriptions https://tools.ietf.org/html/rfc6665\#section-4.1.2.2 |
|  [subscribe(delegate, options)](./sip.js.subscriptiondialog.subscribe.md) |  | 4.1.2.2. Refreshing of Subscriptions https://tools.ietf.org/html/rfc6665\#section-4.1.2.2 |
|  [terminate()](./sip.js.subscriptiondialog.terminate.md) |  | 4.4.1. Dialog Creation and Termination A subscription is destroyed after a notifier sends a NOTIFY request with a "Subscription-State" of "terminated", or in certain error situations described elsewhere in this document. https://tools.ietf.org/html/rfc6665\#section-4.4.1 |
|  [unsubscribe()](./sip.js.subscriptiondialog.unsubscribe.md) |  | 4.1.2.3. Unsubscribing https://tools.ietf.org/html/rfc6665\#section-4.1.2.3 |

## Remarks

SIP-Specific Event Notification

Abstract

This document describes an extension to the Session Initiation Protocol (SIP) defined by RFC 3261. The purpose of this extension is to provide an extensible framework by which SIP nodes can request notification from remote nodes indicating that certain events have occurred.

Note that the event notification mechanisms defined herein are NOT intended to be a general-purpose infrastructure for all classes of event subscription and notification.

This document represents a backwards-compatible improvement on the original mechanism described by RFC 3265, taking into account several years of implementation experience. Accordingly, this document obsoletes RFC 3265. This document also updates RFC 4660 slightly to accommodate some small changes to the mechanism that were discussed in that document.

https://tools.ietf.org/html/rfc6665

